Purchase Phone Number
curl --request POST \
--url https://api.trillet.ai/v1/api/twilio/purchase-number \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"country": "<string>",
"type": "<string>",
"phoneNumber": "<string>",
"addressSid": "<string>",
"coupon": "<string>"
}
'import requests
url = "https://api.trillet.ai/v1/api/twilio/purchase-number"
payload = {
"country": "<string>",
"type": "<string>",
"phoneNumber": "<string>",
"addressSid": "<string>",
"coupon": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-workspace-id': '<x-workspace-id>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
country: '<string>',
type: '<string>',
phoneNumber: '<string>',
addressSid: '<string>',
coupon: '<string>'
})
};
fetch('https://api.trillet.ai/v1/api/twilio/purchase-number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"phoneNumber": {
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"country": "US",
"type": "local",
"status": "active",
"workspaceId": "664a1b2c3d4e5f6a7b8c9d0e"
}
}
Purchase Phone Number
Purchase a phone number for your workspace.
POST
/
v1
/
api
/
twilio
/
purchase-number
Purchase Phone Number
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Request Body
string
required
Country code for the phone number (e.g., “US”, “CA”).
string
required
Type of phone number. Options: “local”, “tollFree”, “mobile”.
string
required
The specific phone number to purchase in E.164 format.
string
Address SID for regulatory compliance (required for some countries).
string
Coupon code for a discount.
Response Fields
boolean
Whether the purchase was successful.
object
{
"success": true,
"phoneNumber": {
"_id": "665a1b2c3d4e5f6a7b8c9d0e",
"phoneNumber": "+14155551234",
"country": "US",
"type": "local",
"status": "active",
"workspaceId": "664a1b2c3d4e5f6a7b8c9d0e"
}
}
⌘I
